.form-section{
	width: 100%;
	margin:0;
	/* border: 1px solid red; */
	padding: 10px 0;
	background-image: url(../img/pic12.svg);
	background-repeat: no-repeat;
	background-size:100% 100%;
}
.main-form-container {
	position: relative;
	width: 80%;
	max-width: 100%;
	height: 100vh;
	overflow: hidden;
	margin: 0 auto;
}

.form-container{
    background: #000;
    display: flex;
    flex-direction: column;
    padding: 0 30px;
    height: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.error-message{
	color: red;
	text-transform: uppercase;
}

form {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 30px;
	height: 100%;
	width: 100%;
	text-align: center;
	
}
.form-container h1 {
	font-family: 'Kumbh Sans', sans-serif;
	font-weight: bold;
	margin: 10px 0 0 0;
	color: #ddd;
}

.form-container span {
	font-size: 15px;
	color: #D4D4D4;
	margin: 10px 0 30px 0;
}

.social-container{
    margin: 40px 0;
}

.social-container a{
    border: 1px solid #ddd;
    border-radius: 50%;
    display:inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px;
    height: 40px;
    width: 40px;
	text-decoration: none;
	color: #ddd;
	font-size: 14px;
}

.social-container a:hover:nth-child(1){
	background-image: linear-gradient(-45deg, #405DE6, #5B51D8, #833AB4, #C13584, #E1306C, #FD1D1D, #F56040, #F77737, #FCAF45, #FFDC80);
	color: #fff;
	
}

.social-container a:hover:nth-child(2){
	background-color: #4267B2;
	color: #FFF;
}

.social-container a:hover:nth-child(4){
	background-color: #1DA1F2;
	color: #FFF;
}

.social-container a:hover:nth-child(3){
	background-color: rgb(82, 82, 82);
	color: #FFF;
}

.form-container input{
    background: #eee;
    border: none;
    padding: 12px 15px;
    margin: 8px 0;
    width: 100%;
}

.form-container input[type="text"], input[type="email"], input[type="password"]{
    width: 100%;
    text-align: center;
    background: transparent;
    border: none;
    border-bottom: 1px solid #fff;
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    font-weight: 200;
    padding: 10px 0;
    transition: border 0.5s;
    outline: none;
    color: #fff;
}

.form-button{
	color: #fff;
	padding: 10px 20px;
	border: none;
	width: 100%;
	margin-top: 20px;
	outline: none;
	border-radius: 4px;
	font-size: 1.1rem;
	background-image: linear-gradient(to bottom right, #b721ff 0%, #21d4fd 100%);
}


.form-button:active {
	transform: scale(0.95);
}

.form-button:hover{
    transform: scale(1.02);
    transition: all 0.3s linear;
}

.form-button:focus {
	outline: none;
}

.ghost {
	background-color: #000;
	text-transform: uppercase;
	border: 2px solid #FFF;
	padding: 12px 36px;
	margin-top: 20px;
	outline: none;
	border-radius: 4px;
	font-size: 1.1rem;
	color: rgb(255, 255, 255);
	transition: all 0.3s linear;
}

.ghost:hover{
	transform: scale(1.03);
}

.ghost:active{
	transform: scale(0.90);

}

.form-container {
	position: absolute;
	top: 0;
	height: 100%;
	transition: all 0.6s ease-in-out;
}

.sign-in-container {
	left: 0;
	width: 50%;
	z-index: 2;
}

.container.right-panel-active .sign-in-container {
	transform: translateX(100%);
}

.sign-up-container {
	left: 0;
	width: 50%;
	opacity: 0;
	z-index: 1;
}

.container.right-panel-active .sign-up-container {
	transform: translateX(100%);
	opacity: 1;
	z-index: 5;
	animation: show 0.6s;
}

@keyframes show {
	0%, 49.99% {
		opacity: 0;
		z-index: 1;
	}
	
	50%, 100% {
		opacity: 1;
		z-index: 5;
	}
}

.overlay-container {
	position: absolute;
	top: 0;
	left: 50%;
	width: 50%;
	height: 100%;
	overflow: hidden;
	transition: transform 0.6s ease-in-out;
	z-index: 100;
}

.container.right-panel-active .overlay-container{
	transform: translateX(-100%);
}

.overlay {
	background-image:linear-gradient(to bottom, rgba(19, 19, 19, 0.0) 0%, rgba(19, 19, 19, 0.1) 50%, rgba(19, 19, 19, 0.2) 80% , rgba(19, 19, 19, 0.5) 90% , rgba(19, 19, 19, 0.7) 100% );
	background-position: 0 0;
	color: #FFFFFF;
	position: relative;
	left: -100%;
	height: 100%;
	width: 200%;
  	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.container.right-panel-active .overlay {
  	transform: translateX(50%);
}

.overlay-panel {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 40px;
	text-align: center;
	top: 0%;
	height: 100%;
	width: 50%;
	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.overlay-left {
	transform: translateX(-20%);
}

.container.right-panel-active .overlay-left {
	transform: translateX(0);
}

.overlay-right {
	right: 0;
	transform: translateX(0);
}

.container.right-panel-active .overlay-right {
	transform: translateX(20%);
}

.swap-login{
	color: #FFF;
	font-size: 0.8rem;
	display: none;
	
}

.swap-login a{
	color: #FFF;
	text-decoration: underline;
	cursor: pointer;
	font-size: 0.8rem;
}

.error{
	background-color: yellow;
}

/* Responsive stylesheet */

@media screen and (max-width: 768px) {
	.main-form-container{
		width: 100%;
	}

	form{
		display: flex;
   		align-items: center;
		flex-direction: column;
		padding: 0 20px;
		height: 100%;
		width: 100%;
		text-align: center;
	}

	.container.right-panel-active .sign-up-container{
		margin: 10px 0;
	}

	.form-section{
		margin: 10px 20px;
	}

	.ghost{
		padding: 10px 30px;
	}
}

@media screen and (max-width: 460px) {
 
	.swap-login{
		display: block;
	}

	.overlay-container{
		display: none;
	}

	.sign-up-container{
		display: none;
	}

	.sign-in-container{
		width: 100%;
		background-image: url('img/pic12.svg');
		background-repeat: no-repeat;
		background-position: center;
		background-size: 100% 100%;
		background-color: #131313c2;
		
	}

	.sign-up-container{
		/* width: 100%; */
		background-image: url('img/pic12.svg');
		background-repeat: no-repeat;
		background-position: center;
		background-size: 100% 100%;
		background-color: #131313c2;
		/* padding: 30px 10px; */
	}

	.form-container h1{
		margin-top: 30px;
	}

	.form-section{
		margin: 0;
	}

	.form-container h1, .form-container span, .form-container input::placeholder{
		color: #FFF;
	}

	.social-container a{
		background-color: #000;
	}

	/*
	.sign-in-container form{
		background-color: rgba(255, 255, 255, 0.096);
		border-radius: 6px;
		backdrop-filter: blur(2px);
		box-shadow: 0 0 6px 0 rgba(29, 29, 29, 0.203);
	}
	 */

}

@media screen and (max-width: 320px) {
	.sign-up-container{
		padding: 0;
	}
}